{
  "schema_version": "1.4.0",
  "id": "GHSA-7g8r-925j-vgfh",
  "modified": "2025-04-09T04:08:20Z",
  "published": "2022-05-02T03:20:51Z",
  "aliases": [
    "CVE-2009-1012"
  ],
  "details": "Unspecified vulnerability in the plug-ins for Apache and IIS web servers in Oracle BEA WebLogic Server 7.0 Gold through SP7, 8.1 Gold through SP6, 9.0, 9.1, 9.2 Gold through MP3, 10.0 Gold through MP1, and 10.3 allows remote attackers to affect confidentiality, integrity, and availability.  NOTE: the previous information was obtained from the April 2009 CPU.  Oracle has not commented on claims from a reliable researcher that this is an integer overflow in an unspecified plug-in that parses HTTP requests, which leads to a heap-based buffer overflow.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2009-1012"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/64935"
    },
    {
      "type": "WEB",
      "url": "http://osvdb.org/53765"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/secunia_research/2009-22"
    },
    {
      "type": "WEB",
      "url": "http://www.oracle.com/technetwork/topics/security/cpuapr2009-099563.html"
    },
    {
      "type": "WEB",
      "url": "http://www.oracle.com/technology/deploy/security/wls-security/1012.html"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/34461"
    },
    {
      "type": "WEB",
      "url": "http://www.securitytracker.com/id?1022059"
    },
    {
      "type": "WEB",
      "url": "http://www.us-cert.gov/cas/techalerts/TA09-105A.html"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2009-04-15T10:30:00Z"
  }
}